@import '../index';
@import '../rem';

.base {
  transition: all 0.3s ease;
  display: inline-block;
  border-radius: rem(4px);
  outline: none;

  p {
    margin: 0;
    color: var(--color-primary);
    transition: all 0.3s ease;
  }

  &:active {
    p {
      color: var(--color-alert);
    }
  }

  &:hover {
    p {
      color: var(--color-alert);
    }
  }

  &:focus {
    box-shadow: 0 0 0 rem(3px) var(--btn-primary-border);
  }

  &:visited {
    color: var(--color-visited);
  }
}